#ifndef __MD_LIB_PROTOCOLS_H__
#define __MD_LIB_PROTOCOLS_H__

#include <MD/private/prefix.h>

namespace MD {
  namespace PROTOCOLS {
    enum MsgProtocol {
      MIN      = 0,  // NOT a protocol!
      NONE     = 0,
      ITERMAP  = 1,
      PROTOMAP = 2,
      OPRA     = 3,
      // skipping 4 so as not to confuse it with UNNESTED (TibProtocol)
      STRING   = 5,
      MINT     = 6,
      MSGT     = 70, // F
      MAX      = 70  // NOT a protocol!
    };
  }

  namespace TibParser {
    enum TibProtocol {
      MIN             = 0,  // NOT a protocol!
      NONE            = 0,
      NESTED_ITERMAP  = 1,
      NESTED_PROTOMAP = 2,
      NESTED_OPRA     = 3,
      UNNESTED        = 4,
      NESTED_MSGT     = 70, // F
      MAX             = 70  // NOT a protocol!
    };
  }
}

#endif // __MD_LIB_PROTOCOLS_H__

